LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
XSanExtension Interface Reference

Interface of a X509 Subject Alternative Name Certificate Extension. More...

`import"XSanExtension.idl";`

Inheritance diagram for XSanExtension:

## Public Attributes
sequence < com::sun::star::security::CertAltNameEntry > | AlternativeNames
| Contains the alternative names of a certificate. More...
Public Attributes inherited from XCertificateExtension
sequence< byte > | ExtensionId
| Get the extension object identifier in string. More...
sequence< byte > | ExtensionValue
| Get the extension value. More...

## Additional Inherited Members
Public Member Functions inherited from XCertificateExtension
boolean | isCritical ()
| Check whether it is a critical extension. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of a X509 Subject Alternative Name Certificate Extension.

This interface represents a x509 certificate extension.

## Member Data Documentation

sequence< com::sun::star::security::CertAltNameEntry > AlternativeNames
| attribute readonly

Contains the alternative names of a certificate.

The documentation for this interface was generated from the following file:

- com/sun/star/security/XSanExtension.idl